%define bname qalculate
%define major 4
%define libname %mklibname %{bname} %{major}
%define develname %mklibname %{bname} -d  

Summary:	The library for qalculate
Name:		libqalculate
Version:	0.9.6
Release:	%mkrel 9
License:	GPLv2+
Group:		System/Libraries
URL:		http://qalculate.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/libqalculate/libqalculate-%{version}.tar.bz2
Patch0:		libqalculate-0.9.6-cln12.patch
Patch1:		libqalculate-gcc43.diff
BuildRequires:	cln-devel
BuildRequires:	libgmp-devel
BuildRequires:	libxml2-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	libglib2-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
#(tpg) needed by autogen.sh
BuildRequires:	intltool
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libraries needed by qalculator.

%package -n %{libname}
Group:		System/Libraries
Summary:	The library for qalculate 
Obsoletes:	%mklibname %{bname} 3

%description -n %{libname}
Libraries needed by qalculator.

%package -n %{develname}
Summary:	Headers and development files for libqalculator
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:       %{bname}-devel  
Provides:	%{name}-devel
Obsoletes:	%mklibname %{bname} 3 -d

%description -n %{develname}
Headers and development files for libqalculator.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
#(tpg) needed for patch 0
./autogen.sh

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_bindir}/*

%find_lang %{name}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig 
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig 
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_datadir}/qalculate/*.xml

%files -n %{develname} -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README* TODO
%doc %dir %{_datadir}/qalculate
%doc %{_docdir}/%{name}-%{version}
%{_includedir}/*
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.org> 0.9.6-9mdv2009.0
+ Revision: 229884
- added a gcc43 patch

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-7mdv2008.1
+ Revision: 182177
- Patch0: fix building against latest cln-1.2
- add missing buildrequires on readline and ncurses
- rebuild for new cln

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jan 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-5mdv2008.1
+ Revision: 157616
- do not package COPYING files
- new license policy
- new devel policy
- move *.xml to library package, bug #36944

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-3mdv2008.0
+ Revision: 49821
- obsolete library

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-2mdv2008.0
+ Revision: 43510
-- obsolete older release

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-1mdv2008.0
+ Revision: 43493
- adjust buildrequires
- new version
- new devel library policy
- spec file clean


* Tue Jun 27 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4-1mdv2007.0
- now a totally modular pkg
- 0.9.4
- update filelist

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-2mdk
- rebuild for new cln
- patch 0: fix compiling with g++-4

* Tue Feb 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Sat Jan 22 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7.1-4mdk
- rebuild for new readline

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-3mdk 
- Rebuild with latest howl

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.7.1-2mdk
- Fix BuildRequires
- Run scrollkeeper during post/postun

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Wed Jul 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Fri Jul 09 2004 Austin Acton <austin@mandrake.org> 0.6.1-1mdk
- 0.6.1
- configure 2.5

* Fri Jun 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Feb 18 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Mon Oct 27 2003 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- 0.3.1

* Wed Oct 22 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package

